Gracias Gracias:  0
Me Gusta Me Gusta:  1
No me Gusta No me Gusta:  0
Mostrando resultados del 1 al 7 de 7

Tema: Duda con las actualizaciones

  1. #1
    Fecha de Ingreso
    16-agosto-2019
    Mensajes
    132
    Post Thanks / Like
    Poder de Credibilidad
    1

    Duda con las actualizaciones

    Hola de nuevo.
    En mis primeros pasos en OpenSuse TW van apareciendo dudas. Una nueva:
    En la Wiki de Opensuse, se mencionan los comandos de Zypper (https://es.opensuse.org/Zypper). Vale, según entiendo el comando "zypper up" o "zypper update", actualiza los paquetes a su ultima versión, y según como te dice que utilices "dup", para actualizar "el producto". Aquí la duda: al ejecutar "sudo zypper up", aparece esto en consola:
    Código:
    Las siguientes 426 actualizaciones NO serán instaladas.
    xx xx xx ...
    
    Los siguientes 5 paquetes van a ser actualizados:
    (5 paquetes nvidia)
    Me gusta estar a la última, aquí está la gracia de las Rolling.

    Que significa, las actualizaciones NO serán instaladas? Algún problema, error, incompatibilidad?

    Gracias por adelantado, como siempre.

  2. #2
    Fecha de Ingreso
    28-junio-2013
    Mensajes
    7
    Post Thanks / Like
    Poder de Credibilidad
    0
    En Tumbleweed se usa "zypper dup" para poder instalar la última snapshot publicada.

    https://en.opensuse.org/Portal:Tumbleweed

    Como explican en el cuarto punto de los Topics.

    Saludos.

  3. #3
    Fecha de Ingreso
    02-marzo-2013
    Ubicación
    Lat. 27.994547-Lon -15.405127-160m nivel del mar
    Mensajes
    4.942
    Post Thanks / Like
    Poder de Credibilidad
    11
    Hola :

    Con TW los repositorios tienen que estar bien afinados, se hace dup, por que cada actualización, viene acompañada con su respectiva iso, es decir se considera una distribución nueva, y cuando es una distribución se usa dup (si es una normal, dentro de la mismo distro,se usa up) .

    Ve que TW tiene su iso y es una nueva versión, ademas tienes los cambios en archivos txt : " http://download.opensuse.org/tumbleweed/iso/ "

    Saludos cordiales

  4. #4
    Fecha de Ingreso
    07-febrero-2007
    Ubicación
    Ourense
    Mensajes
    8.666
    Post Thanks / Like
    Poder de Credibilidad
    22
    Hola.

    Ese mensaje significa simplemente lo que pone. Y eso se deberá a alguna condición, claro. Como te han dicho, prueba con zypper dup.

    Salud!!

  5. #5
    Fecha de Ingreso
    16-agosto-2019
    Mensajes
    132
    Post Thanks / Like
    Poder de Credibilidad
    1
    Vale, con vuestros comentarios he llegado a resolver la duda.
    Es tema de repos configurados y proveedores. He hecho un "sudo zypper install" con un par de paquetes de la lista de "NO serán instalados" y te quita todas las dudas:
    Código:
    Hay un candidato de actualización para 'abiword' del proveedor 'obs://build.opensuse.org/GNOME', aunque el proveedor actual es 'openSUSE'. Use 'zypper install abiword-3.0.2-70.39.x86_64' para instalar este candidato.
    
    Hay un candidato de actualización para 'mono-extras' del proveedor 'obs://build.opensuse.org/Mono', aunque el proveedor actual es 'openSUSE'. Use 'zypper install mono-extras-5.20.1-2.49.x86_64' para instalar este candidato.
    El repo de GNOME está ahí por algún programa que instalé desde firefox, el de Mono está ahí por "culpa" del msbuild por ejemplo, lo necesito para el Visual Studio Code y Unity3D.
    Nada, he arreglado los repos y listo, ya no aparece ese "NO serán instalados".
    Supongo que es mejor dejar solo los repos que vienen por defecto.
    Sigo aprendiendo cosas de OpenSuse.
    Gracias a tod@s.
    Última edición por Jordi4321; 16-sep-2019 a las 06:52

  6. Me Gusta Tux83 le ha gustado este mensaje
  7. #6
    Fecha de Ingreso
    19-marzo-2005
    Ubicación
    En un lugar del planeta Tierra
    Mensajes
    17.430
    Post Thanks / Like
    Poder de Credibilidad
    10
    Cita Iniciado por Jordi4321 Ver Mensaje
    ....
    El repo de GNOME está ahí por algún programa que instalé desde firefox, el de Mono está ahí por "culpa" del msbuild por ejemplo, lo necesito para el Visual Studio Code y Unity3D.
    Nada, he arreglado los repos y listo, ya no aparece ese "NO serán instalados".
    Supongo que es mejor dejar solo los repos que vienen por defecto.
    Sigo aprendiendo cosas de OpenSuse.
    Gracias a tod@s.
    Usar TW y sus herramientas de programación como programador es un riesgo grande a la estabilidad del sistema.
    El axioma dice: cuantos mas repos tengas, mas posibilidades tienes de que el sistema se vuelva inestable.
    En mi caso, como programador de aplicaciones Web uso Leap 15.0, estoy pensando en pasarme a la 15.1.
    NORMAS A CUMPLIR EN LOS FOROS (Lectura obligatoria) Lo siento, no contesto privados sobre problemas con GNU/Linux.
    Síguenos en TWITTER y en FACEBOOK
    Código:
    Buscador de   Alojamiento      Alojamiento     Otros
     paquetes:    de imágenes:     de ficheros:    buscadores:
    Search        TinyPic          Ifile Wuala     Simple y Facil
    Webpinstant   Paste Suse       SendSpace       TextSnip  Cl1p

  8. #7
    Fecha de Ingreso
    16-agosto-2019
    Mensajes
    132
    Post Thanks / Like
    Poder de Credibilidad
    1
    Cita Iniciado por DiabloRojo Ver Mensaje
    Usar TW y sus herramientas de programación como programador es un riesgo grande a la estabilidad del sistema.
    El axioma dice: cuantos mas repos tengas, mas posibilidades tienes de que el sistema se vuelva inestable.
    En mi caso, como programador de aplicaciones Web uso Leap 15.0, estoy pensando en pasarme a la 15.1.
    Bah, soy un simple aficionado, todo funciona genial. De hecho ni actualizo el Unity3D, y me da igual actualizar el VSCode + dependencias, ya funciona perfecto. Así que desactivo los repos extra y listo.

Thread Information

Users Browsing this Thread

There are currently 1 users browsing this thread. (0 members and 1 guests)

Temas Similares

  1. Actualizaciones TW 24-09-15 y 2-10-15
    By mikrios in forum El Contubernio
    Respuestas: 0
    Último mensaje: 05-oct-2015, 03:11
  2. Duda, los fines de semana no hay actualizaciones?
    By chris in forum Instalación y Actualizaciones
    Respuestas: 7
    Último mensaje: 17-jun-2013, 00:21
  3. Duda sobre actualizaciones de openSUSE
    By chachi1 in forum General OpenSUSE
    Respuestas: 1
    Último mensaje: 26-jul-2010, 11:18
  4. Respuestas: 10
    Último mensaje: 19-nov-2008, 22:58
  5. Duda sobre actualizaciones y repositorios
    By kaahen in forum Software
    Respuestas: 10
    Último mensaje: 13-nov-2005, 20:57

Marcadores

Normas de Publicación

  • No puedes crear nuevos temas
  • No puedes responder mensajes
  • No puedes subir archivos adjuntos
  • No puedes editar tus mensajes
  •